=== debian/changelog ===
eukleides (1.5.4-5) unstable; urgency=medium

  [ Helmut Grohne ]
  * Fix FTCBFS: (Closes: #962754)
    + Let dh_auto_build pass cross tools to make.
    + cross.patch: Make install substitutable.
    + Pass a non-stripping install to make install.

  [ Georges Khaznadar ]
  * included Helmut Grohne's patch, and changed the release number
  * named myself as Maintainer, to adopt the package (Closes: #994642)
  * upgraded Standards-Version: 4.5.1; debhelper-compat (= 13)
  * declared VCS stuff at https://salsa.debian.org/georgesk/eukleides
  * simplified d/rules with debhelper's dh

 -- Georges Khaznadar <georgesk@debian.org>  Mon, 17 Jan 2022 18:59:13 +0100

eukleides (1.5.4-4.3) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix ftbfs with GCC-10. (Closes: #957183)

 -- Sudip Mukherjee <sudipm.mukherjee@gmail.com>  Fri, 22 Jan 2021 21:03:48 +0000

eukleides (1.5.4-4.2) unstable; urgency=low

  * Non-maintainer upload.
  * Don't call mktexlsr during the build. (Closes: #959548)
  * Fix building twice in a row.

 -- Adrian Bunk <bunk@debian.org>  Fri, 29 May 2020 18:05:05 +0300

eukleides (1.5.4-4.1) unstable; urgency=medium

  * Non-maintainer upload.
  * build/Makefile: Use LIBS to pass the libraries to link with, and use it
    at the right position in the linker call. Closes: #880671.
  * Convert to package source format 3.0.
  * Bump standards and debhelper versions.

 -- Matthias Klose <doko@debian.org>  Mon, 06 Nov 2017 13:42:43 +0100

eukleides (1.5.4-4) unstable; urgency=medium

  * Maintenance Release 
    * Bumped standards-version

 -- Robert Lemmen <robertle@semistable.com>  Mon, 27 Jun 2016 20:02:22 +0100

eukleides (1.5.4-3) unstable; urgency=low

  * Fix texi documentation and makefile (closes: #712325)
  * Fix a few spelling mistakes in docs
  * Enable hardning flags during build
  * Update a few smallish packaging problems to keep lintian happier
  * Bump standards-version

 -- Robert Lemmen <robertle@semistable.com>  Thu, 04 Jul 2013 17:40:55 +0100

eukleides (1.5.4-2) unstable; urgency=low

  * Disable linking against ncurses (closes: #646136)
  * Update policy version

 -- Robert Lemmen <robertle@semistable.com>  Wed, 16 Nov 2011 18:25:14 +0000

eukleides (1.5.4-1) unstable; urgency=low

  * New upstream release

 -- Robert Lemmen <robertle@semistable.com>  Wed, 30 Jun 2010 10:56:37 +0100

eukleides (1.5.3-1) unstable; urgency=low

  * New Upstream release (please see README.Debian for incompatibilities)

 -- Robert Lemmen <robertle@semistable.com>  Wed, 24 Mar 2010 19:14:01 +0000

eukleides (1.0.3-3) unstable; urgency=low

  * Taking over package
  * Fixed dependencies (closes: #526723)
  * Replaced included webpage tarball with a current one that does state the
    license (GPL like the package itself)
  * Replaced a sample that was missing license information with a new one
  * Bumped Standards-Version

 -- Robert Lemmen <robertle@semistable.com>  Tue, 08 Sep 2009 10:45:07 +0100

eukleides (1.0.3-2) unstable; urgency=low

  * QA upload.
  * Include parser.tab.h in parser.y to build with bison. (Closes: #518875).
  * Add texlive-pstricks to Suggests. (Closes: #441024).
  * Move Homepage from package description to source stanza.
  * Fix doc-base section.
  * Bump Standards Version to 3.8.1.

 -- Barry deFreese <bdefreese@debian.org>  Fri, 01 May 2009 15:26:01 -0400

eukleides (1.0.3-1) unstable; urgency=low

  * QA upload.
  * New upstream release.  Closes: #262098.
  * Package is orphaned (#419083); set maintainer to Debian QA Group.
  * Suggest texlive instead of tetex-bin.
  * Switch to debhelper 5.
  * debian/rules:
    - Use dh_install* for everything; less work than patching Makefile.
      Incidentally, this fixes the symlinks.  Closes: #341576.
    - Let dh_strip handle DEB_BUILD_OPTIONS=nostrip.
  * debian/copyright:
    - Add full copyright.
    - Update upstream URL and e-mail.
  * debian/dirs: Remove /usr/sbin.
  * debian/preinst, debian/postinst, debian/prerm, debian/postrm:
    Unmodified templates; remove.
  * debian/watch: Add.
  * Conforms to Standards version 3.7.2.

 -- Matej Vela <vela@debian.org>  Sun, 29 Apr 2007 11:16:04 +0200

eukleides (0.9.2-3) unstable; urgency=low

  * Added Replaces: xeukleides (<<0.9.2-1).  closes: #185811
  * Conforms to Policy 3.5.9  No change to package necessary.

 -- Streph Treadway <sbt@ginkwunk.net>  Sat, 22 Mar 2003 20:16:55 -0500

eukleides (0.9.2-2) unstable; urgency=low

  * Added texinfo build depends. 

 -- Streph Treadway <sbt@ginkwunk.net>  Sun,  9 Mar 2003 11:29:20 -0500

eukleides (0.9.2-1) unstable; urgency=low

  * New upstream release.
  * Added upstream html documentation.
  * This package closes my ITP bug for it.  closes: #182489

 -- Streph Treadway <sbt@ginkwunk.net>  Wed, 22 Jan 2003 18:17:03 -0500
