=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

override_dh_auto_clean:
	dh_auto_clean
	rm -f doc/eukleides.info

override_dh_auto_build:
	mkdir -p build/eukleides_build
	mkdir -p build/euktopst_build
	dh_auto_build
	make doc
	make install_doc
