=== debian/watch ===
version=3
http://www.eukleides.org/download.html	files/eukleides[.-](.*)\.tar\.bz2
