## eukleides 1.5.5

=== Makefile ===
--- 
+++ 
@@ -51,7 +51,6 @@
 	@echo "Installing TeX files"
 	@install -d $(TEX_DIR)
 	@install -m 0644 tex/* $(TEX_DIR)
-	@mktexlsr 2> /dev/null
 
 install_loc:
 ifneq ($(LOC),)
