=== build/Makefile ===
--- 
+++ 
@@ -11,13 +11,14 @@
 LFLAGS = -8
 YACC = bison
 YFLAGS = -d
-CC = gcc
+CC ?= gcc
+INSTALL ?= install
 IFLAGS = -I$(COMMON_DIR) -I$(MAIN_DIR) -I$(BUILD_DIR) 
 ifneq ($(strip $(LOCALES)),)
 MOFLAGS = -DMO_DIR=\"$(MO_DIR)\" 
 endif
-CFLAGS = -Wall -D__$(BINARY)__ $(IFLAGS) $(MOFLAGS)
-LDFLAGS = -lncurses -lreadline -lm
+CFLAGS += -Wall -D__$(BINARY)__ $(IFLAGS) $(MOFLAGS)
+LIBS += -lreadline -lm
 VPATH = $(COMMON_DIR):$(MAIN_DIR):$(BUILD_DIR)
 
 $(BINARY):
@@ -47,7 +48,7 @@
 
 $(BINARY): $(OBJECTS)
 	@echo "    Linking $(notdir $@)"
-	@$(CC) $(LDFLAGS) $^ -o $@
+	@$(CC) $^ -o $@ $(LIBS)
 
 ifneq ($(BINARY),)
 -include $(DEPEND)
@@ -55,7 +56,7 @@
 
 install: $(BINARY)
 	@echo "Installing $<"
-	@install -s $< $(BIN_DIR)
+	@$(INSTALL) -s $< $(BIN_DIR)
 
 uninstall:
 	@$(RM) $(addprefix $(BIN_DIR)/,$(BINARIES))
