=== doc/Makefile ===
--- 
+++ 
@@ -3,13 +3,13 @@
 
 include ../Config
 
-MAKEHTML = makeinfo --no-validate --html
+MAKEHTML = makeinfo --no-validate --html --force
 TEXI = eukleides.texi
 CSS = eukleides.css
 
 documentation: $(DOC)
 
-info: eukleides.info.gz
+info: eukleides.info
 
 eukleides.info: $(TEXI)
 	@echo "    Building info pages"
@@ -45,7 +45,8 @@
 
 INST_TARG := $(addprefix install_, $(DOC))
 
-install: $(INST_TARG)
+install:
+#install: $(INST_TARG)
 
 install_info: eukleides.info.gz
 	@echo "    Installing info pages"
