=== debian/changelog ===
eukleides (1.5.5-1) unstable; urgency=medium

  * changed the upstream repository, in order to have source code for gcc15
  * New upstream version 1.5.5
  * removed debian patches

 -- Georges Khaznadar <georgesk@debian.org>  Wed, 10 Dec 2025 18:57:01 +0100

eukleides (1.5.4-6) unstable; urgency=medium

  * modified debian/watch as the service at http://www.eukleides.org is down.
  * bumped Standards-Version: 4.7.2
  * created the patch debian/patches/fixes-for-gcc15.patch. Closes: #1096592

 -- Georges Khaznadar <georgesk@debian.org>  Wed, 10 Dec 2025 16:52:46 +0100
