=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
  bison,
  libreadline-dev,
  texinfo
-Standards-Version: 4.5.1
+Standards-Version: 4.7.2
 Homepage: http://www.eukleides.org/
 Vcs-Browser: https://salsa.debian.org/georgesk/eukleides
 Vcs-Git: https://salsa.debian.org/georgesk/eukleides.git
