=== debian/watch ===
version=4

# Old discontinued url
# http://www.eukleides.org/download.html files/eukleides[.-](.*)\.tar\.bz2

# GitHub hosted projects.
# checked, on 2025-12-10: this repository contains the same source
# code, but it provides no tags. Nothing was changed there for 7 years
opts="filenamemangle=s%(?:.*?)?v?(@ANY_VERSION@@ARCHIVE_EXT@)%@PACKAGE@-$1%" \
    https://github.com/georgesk/eukleides/tags \
    (?:.*?/)v?@ANY_VERSION@@ARCHIVE_EXT@
